﻿@model IEnumerable<AlisProject.Models.Shipment>

@{
    ViewBag.Title = "Index";
}

<h2>لیست</h2>

<p>
    @Html.ActionLink("افزودن", "Create")
</p>
<table id="example" class="display" style="width:100%">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.weight)
            </th>

            <th>
                @Html.DisplayNameFor(model => model.BuyerFirstName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.BuyerLastName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.BuyerNational_Code)
            </th>

            <th>
                @Html.DisplayNameFor(model => model.OriginLongitude)
            </th>

            <th>
                @Html.DisplayNameFor(model => model.OriginLatitude)
            </th>

            <th>
                @Html.DisplayNameFor(model => model.DestinationLongitude)
            </th>

            <th>
                @Html.DisplayNameFor(model => model.DestinationLatitude)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Status)
            </th>

            <th>
                @Html.DisplayNameFor(model => model.car)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Driver)
            </th>

            <th>
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.weight)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.BuyerFirstName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.BuyerLastName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.BuyerNational_Code)
                </td>

                <td>
                    @Html.DisplayFor(model => item.OriginLongitude)
                </td>

                <td>
                    @Html.DisplayFor(model => item.OriginLatitude)
                </td>

                <td>
                    @Html.DisplayFor(model => item.DestinationLongitude)
                </td>

                <td>
                    @Html.DisplayFor(model => item.DestinationLatitude)
                </td>

                <td>
                    @Html.DisplayFor(model => item.Status)
                </td>

                <td>
                    @Html.DisplayFor(model => item.car.Name)
                </td>

                <td>
                    @Html.DisplayFor(model => item.Driver_.Username)
                </td>

                <td>
                    @Html.DisplayFor(modelItem => item.Description)
                </td>
                <td>
                    @Html.ActionLink("ویرایش", "Edit", new { id = item.ObjectId }) |
                    @Html.ActionLink("مشاهده جزئیات", "Details", new { id = item.ObjectId }) |
                    @Html.ActionLink("حذف", "Delete", new { id = item.ObjectId }) |
                    @Html.ActionLink("صفحه مشتری", "customer", new { id = item.ObjectId })
                </td>
            </tr>
        }
    </tbody>
</table>
@section script{
    <!-- Content Here -->

    <script sec="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#example').DataTable();
        });
    </script>
}